@charset "UTF-8";
/* CSS Document */
/* Main styles
===================================== */
	* {
		margin:0;
		padding:0;
	}
	body {
		background:#eeeeee;
		font: normal normal 62.5%/140% Verdana,Arial,Helvetica,sans-serif;
		min-width: 52em;
	}	
	#accessibility-menu {
		position: absolute;
		left: -9999px;
	}	
	fieldset {
		padding: 0;
		margin: 0;
		border: 0;
	}	
	body, p, li, td {
		font-size: 12px;
		color:#222;
	}	
	p {
		margin:1em 0;
	}	
	pre, code {
		font-family:'andale mono','lucida console',monaco,monospace;
		color:#036;
	}	
	abbr, acronym {
		border:0;
	}	
	pre {
		clear: both;
		overflow: auto;
		width: 60em; /*for IE, which doesn't obey !important or width:100% on pre */
		padding-bottom: 0 !important;
		padding-bottom: 1.5em; /* for IE which doesn't make room at the bottom of the pre for a horizontal scrollbar */
	}
	a, a:visited {
		text-decoration:none;
	}
	
	a {
		color:#00f;
	}
	
	a:visited {
		color:#551a8b;
	}
	
	a:hover {
		text-decoration:underline;
	}
	
	img {
		border: 0;
	}
	
	hr {
		border:none;
		color: #ccc;
		background-color: #ccc;
		height: 1px;
		width:100%;
		clear:both;
	}
	
	hr.divider {
		color:#333;
		background-color:#999;
	}
	
	/*#page {	COMMENTING OUT
		width: 98%;
		min-width: 70em;
		max-width: 92em;
		width:expression(document.body.clientWidth < 775? "770px" : document.body.clientWidth > 1014? "1012px" : "auto");
		margin:0 auto;
		background-color:#fff;
		border: 1px solid #D4D4D4;
		border-width: 0 1px 1px 1px; */
	}
	
.tools a, .tools a:hover, .tools a:active, .tools a:visited {
color: black;
}


/* Three column layout
===================================== */
	
	#left_col {
		float: left;
	}
	
	#mid {
		margin-left: 199px;
		
	}
	
	#mid_col, #top {
		margin-right: 209px;
	}
	
	/* for IE6 and under */
	* html #mid_col {
		height: 0;
	}
	
	#mid_col_coverview {
		margin: 0;
	}
	
	/* for IE6 and under */
	* html #mid_col_coverview {
		height: 0;
	}
	
	#inner_mid_col {
		float: left;
		width: 100%;
	}
	
	#right_col {
		float: right;
		width: 187px;
		padding-top: 2px;
	}

/* Tertiary Navigation
===================================== */
	#netnav {
        	background: #F6F6F6;
		width: 185px;
		float: left;
		padding: 0 0 12px 0; 
	}
	
	#netnav .title {
		display: block;
		height: 40px;
		overflow: hidden;
		line-height: 1.3em;
	}

	#netnav .title h3 {
		font-weight:normal;
		margin: 0;
		font-size: 1.5em;
		padding: 7px 15px;
		background: #b9002d;
		background: -moz-linear-gradient(top, #a00027, #b9002d);filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#a00027', endColorstr='#b9002d');
		background: -webkit-gradient(linear, left top, left bottom, from(#a00027), to(#b9002d));
		background: -moz-linear-gradient(top, #a00027, #b9002d);
		float: none;
		display: block; 
		color: white; 
		font-size: 16px;
		line-height: 18px;
	}
	
	#netnav a {
		display: block;
		margin: 0;
		padding: 4px 6px;
		color: #b9002d;
		text-decoration: none;
	}
	
	#netnav a.selected {
		background-color:#f6f6f6;
		color: #b9002d;
	}
	
	#netnav .num_results {
		color:#444;
	}
	
	#netnav dl dd{ 
		border-bottom: 1px solid #aaa;
	}
	
	#netnav dl dd ul {
		display: block;
		margin: 0;
		padding: 0 0 10px 18px;
		list-style: none;
		background-color: #f6f6f6;
	}
	
	#netnav dl dd ul li {
		display: block;
		padding: 0;
		margin: 0;
		line-height: 1em;
	}	
	
	#netnav dl dd ul li a {
		padding: 4px 0 5px 0;
		color:#333;
		border: 0;
	}
	
	#netnav dl dd ul li a:hover {
		color: #000;
		text-decoration: underline;
	}
	
	#netnav dl dd ul li form {
		padding: 4px 0 5px 0;
		color:#333;
		border: 0;
	}
	
	#netnav dl dd ul ul {
		padding: 0 0 0 12px;
	}
	
    #netnav ul {
        padding: 0 10px;
    }
    
    #netnav ul h3 {
        background: #F6F6F6;
        font-weight: bold;
        margin-top: 0;
    }
 
    #content #netnav ul ul {
        background: #fff;
        border: 1px solid #eee;
        max-height: 150px;
        overflow-y: auto;
        padding: 2px 0;
        margin-bottom: 11px;
    }
    
     #content #netnav ul a {
        background: #fff;
    }
    
    #content #netnav dl dd {
        margin: 0 5px;
        border: 0;
    }

/* Tertiary Nav States
===================================== */
	#netnav .hidden {
		display: none;
	}
	
	#netnav .hideSwitch {
		display:none;
	}
	
	#netnav .showSwitch {
		display:block;
	}
	
	
	#netnav .rollup {
		background:#f6f6f6 none no-repeat 6px;
	}
	#netnav .undo {
		color:black;
	}

	#netnav dt div {
		font-size:14px; /*!!!*/
		color: #000000;
		background-color: #ffffff;
		padding: 4px 6px;
		padding-left:0px;
		margin: 15px 0 0 0;
                font-weight: normal;
	}

    #netnav ul ul {
        border-top: 1px solid #AAA;
        border-bottom: 1px solid #AAA;
    }
    
    #netnav ul, #netnav li {
        list-style: none;
    }

	#netnav .linkMore a.rollup, #netnav .linkLess a.rollup {
		color:#000000;
	}
	
	#netnav .rolldown {
		background:#dddddd none no-repeat 6px;
		color:black;
		font-weight:bold;
	}	
	
	#netnav .rollup_subset {
		padding-left:12px !important;
		font-weight: bold;
		color: #666;
		background: transparent url(http://www.oreilly.com/images/oreilly/bullet_submenu.gif) 0 no-repeat;
	}
	
	#netnav .rollup_subset:hover {
		text-decoration: none;
		color: #333;
	}
	
	#netnav .rolldown_subset {
		padding-left:12px !important;
		font-weight: bold;
		color: #666;
		background: transparent url(http://www.oreilly.com/images/oreilly/bullet_submenu_open.gif) 0 no-repeat;
	}

	#netnav .rolldown_subset:hover {
		text-decoration: none;
		color: #333;
	}
/* Topic Cloud
===================================== */
	#topics {
		width: 165px;
		float: left;
		padding: 33px 0 0 0;
	}
	
	#topics .title {
		display: block;
		height: 17px;
		border-bottom:1px solid #666;
		overflow: hidden;
		line-height: 1.3em;
	}

	#topics .title h3 {
		font-weight:normal;
		margin: 0;
		padding: 0;
		color: #333333;
		font-size: 1em;
	}
	
	#topics a {
		display: block;
		margin: 0;
		padding: 4px 6px;
		color: #b9002d;
		text-decoration: none;
	}
	
	#topics dl dd{ 
		border-bottom: 1px solid #aaa;
		padding: 5px 0 5px 8px;
	}
	
	#topics dl dd a, #topics dl dd span {
		display: inline;
		padding: 0 8px 0 0;
		line-height: 24px;
	}
	
	#topics dl dd a:hover {
		text-decoration: underline;
	}
	
	#topics dl dd .lvl_20 { 
		font-size: 20px;
	}
	#topics dl dd .lvl_19 { 
		font-size: 19px;
	}
	#topics dl dd .lvl_18 { 
		font-size: 18px;
	}
	#topics dl dd .lvl_17 { 
		font-size: 17px;
	}
	#topics dl dd .lvl_16 { 
		font-size: 16px;
	}
	#topics dl dd .lvl_15 { 
		font-size: 15px;
	}
	#topics dl dd .lvl_14 { 
		font-size: 14px;
	}
	#topics dl dd .lvl_13 { 
		font-size: 13px;
	}
	#topics dl dd .lvl_12 { 
		font-size: 12px;
	}
	#topics dl dd .lvl_11 { 
		font-size: 11px;
	}
	#topics dl dd .lvl_10 { 
		font-size: 10px;
	}

/* International Sites
===================================== */
	#international {
		width: 165px;
		float: left;
		padding: 23px 0 0 0;
	}
	
	#international .title {
		display: block;
		height: 17px;
		border-bottom:1px solid #666;
		overflow: hidden;
		line-height: 1.3em;
	}

	#international .title h3 {
		font-weight:normal;
		margin: 0;
		padding: 0;
		color: #333333;
		font-size: 1em;
	}

/* Spotlight Header
===================================== */
	#spotlight_header {
		height: 34px;
		padding: 16px 0 0 0;
		margin-bottom: 18px;
	}
	
	#spotlight_header h3.title {
		color: #b9002d;
		font-size: 30px;
		font-weight: normal;
		line-height: 34px;
		margin: 0;
		padding: 0;
	}

/* Mid Header
===================================== */	
	#mid_header {
		height: 42px;
		padding-top: 5px;
	}
	
	#mid_header #sort {
		float: left;
		font-size: .9em;
		color: #666;
		padding: 0 15px 0 0;
	}
	
	#mid_header #sort select {
		width: 100px;
	}
	
	#mid_header .view_options {
		color: #666;
		display: block;
		float: left;
		padding: 1px 10px 0 0;
	}
	
	.pagination {
		text-align: right;
		color: #333;
		padding: 1px 0 0 0;
	}
	
	.pagination a {
		display: inline;
		padding: 0 6px 0 0;
	}
	
	.pagination .selected {
		display: inline;
		padding: 0 6px 0 0;
		font-weight: bold;
		color: #333;
	}
	
	.pagination a.next {
		padding-right: 12px;
		background: transparent url(http://www.oreilly.com/images/oreilly/search_right_arrow.gif)  right 1px no-repeat;
	}
	
	.pagination a.prev {
		padding-left: 12px;
		background: transparent url(http://www.oreilly.com/images/oreilly/search_left_arrow.gif)  left 1px no-repeat;
	}
	
	#inner_mid_col .bread_crumb {
		margin: 0 0 14px 0;
		padding: 0;
                font-size:1.3em;
		color: #333;
		line-height: 1em;
	}
	
/* Search Results
===================================== */
	.result {
		display: block;
		clear: both;
		font-size: 13px;
		margin: 0;
		line-height: 1.3em;
	        overflow: auto;
                margin-bottom: 15px;
                }

	.promo {
		background-color: #fdf6e4; 
		padding: 15px 15px 12px 15px; 
		margin-bottom: 12px;
        }
	.result .book {
		float: left;
		padding-top: .2em;
	}
	
	.result .book_text {
		display: block;
		margin: 0 0 0 95px;
	}
	
	.result .title {
		margin: 0 0 0 0;
		padding: 0;
		font-weight: bold;
		font-size: 16px;  
		line-height: 1.2em; 
	}
	
	.result .description, .promo .description, .promo .note {
		margin: 3px 0 0 0;
		padding: 0;
	}
	
	.result .note, .result .editions, .result .languages {
		margin: 2px 0 0 0;
		padding: 0;
	}
	
	#coverview {
		margin: 0 -18px 0 0;
	}
	
	#coverview .result {
		clear: none;
		float: left;
		margin: 0 15px 10px 0;
		padding: 0;
	}
	
	#coverview .book {
		padding: 0;
	}
	
	#coverview li {
		list-style: none;
	}
	
/* content - main
===================================== */
	#content {
		margin: 8px;
	}
	
	#content h3 {
		font-weight:bold;
		color:#000;
		margin:0.5em 0 1em 0;
		font-size:14px;
	}	
	
	#content h4 {
		margin:0 0 0.5em 0;
		padding:0;
		font-size:12px;
	}

/* Content Box
===================================== */
	#inner_mid_col .one_col_promo {
		margin: 4px 0 16px 0;
		border: 1px solid #aaa;
	}
	
	#inner_mid_col .one_col_promo .promo-box {
		overflow: hidden;
		vertical-align: top;
		font-size: 0;
		line-height: 0;
		width: 100%;
		position: relative;
	}

	#inner_mid_col .two_col_left {
		width: 49%;
		float: left;
	}
	
	#inner_mid_col .two_col_right {
		width: 50%;
		float: right;
	}
	
	#inner_mid_col .two_col_left .left {
		padding-right: 5px;
	}
	
	#inner_mid_col .two_col_right .right {
		padding-left: 10px;
	}

	#inner_mid_col .content-box {
		padding: 0;
		margin: 2px 0 16px 0;
		overflow: hidden;
		vertical-align: top;
	}
	
	#inner_mid_col .content-box h3 {
		padding: 2px 10px 5px 10px;
		margin: 2px 0 0 0;
		border: 1px solid #aaa;
		border-bottom: none;
		background: #747474 url(images/box-header.gif) repeat-x bottom center;
		text-align: left;
		font-size: 14px;
		line-height: 18px !important;
		font-weight: normal !important;
		color: #fff !important;
	}
	
	#inner_mid_col .content-box .content-box-body {
		padding: 10px 10px 2px 10px;
		margin:0;
		border-right: 1px solid #aaa;
		border-bottom: 1px solid #aaa;
		border-left: 1px solid #aaa;
		overflow: hidden;
	}
	
	.content-box-body p {
		margin: 0 0 10px 0;
		padding: 0;
	}
	
	.content-box-body p .book {
		float: left;
		padding: 4px 5px 5px 0;
	}
	
	.content-box-body p .title {
		font-weight: bold;
	}
	
	.content-box-body .flash_coverflow {
		height: 180px;
		margin: 0 0 10px 0;
		padding: 0;
		line-height: 0;
		font-size: 0;
	}
	
/* Sidebar items
===================================== */
	.sidebar-item {
		padding:0;
		margin:0 0 20px 0;
	}
	
	.sidebar-item h3 {
		border-top: 1px solid #999;
		border-left: 1px solid #999;
		border-right: 1px solid #999;
		line-height: 2em;
		font-size: 11px !important;
		text-align: center;
		background: #eee url(http://www.oreillynet.com/images/box-item-header.gif) top left no-repeat;
		margin:0 !important;
	}
	
	.sidebar-item-content {
		border: 1px solid #999;
		margin:0;
		padding:10px;
	}
	
	.sidebar-item-content .centered {
		text-align: center;
		display: block;
	}
	
	.sidebar-item-content img {
		padding: 0 0 5px 0;
	}
	
	.sidebar-item-content img.left {
		padding: 2px 5px 5px 0;
	}
	
	.sidebar-item-content li {
		list-style: none;
		margin: 0 0 5px 0;
		padding: 0;
		line-height: 1.2em;
	}
	
	.sidebar-item-content p {
		margin: 0 0 5px 0;
		padding: 0;
	}
	
	#sidebar .more {
		float: none;
	}

/* Classes
===================================== */
	.clear {
		display: block;
		clear: both;
		font-size: 0;
		line-height: 0;
	}

/* Additional Atomz styles
===================================== */
	.show { display: block !important; }
	.hide { display: none !important; }

	.coverview {
		margin: 0 -18px 0 0;
	}
	
	.coverview .result {
		clear: none;
		float: left;
		margin: 0 13px 10px 0;
		padding: 0;
		min-height: 266px;
	}
	
	.coverview .book {
		padding: 0;
	}
	
	.coverview li {
		list-style: none;
	}
	
    .coverview .cover,
    .coverview .title,
    .coverview .author,
    .coverview .desc,
    .coverview .print,
    .coverview .index,
    .coverview .publishDate,
    .coverview .editions {
        display: none;
    }

    .listview .cover,
    .listview .title,
    .listview .author,
    .listview .desc,
    .listview .print,
    .listview .index,
    .listview .publishDate,
    .listview .editions {
        display: block;
    }
    
    .listview .result {
        overflow: hidden;
        min-height: 100px;
    }
    
    .listview .bigCover {
        display: none;
    }

    .listview .index {
        float: left;
        padding-right: 10px;
    }
    
    .listview .cover {
        float: left;
        padding-right: 10px;
        margin-bottom: 10px;
    }	

	#netnav .linkMore a {
	}

	#netnav .linkLess a {
	}

	#search-box {
		text-align: center;
	}

/* Footer bar */
.navfooterbg .social {
float:right;
padding:6px 0;
line-height:19px;
overflow:hidden;
text-align:right;
}
.navfooterbg .social ul, .navfooterbg .social li {
float: left;
}

.navfooterbg .social a {
border:none;
float:left;
list-style:none outside none;
height: 20px;
width: 20px;
margin: 0;
display: block;
padding: 0;
}

.navfooterbg .social a.youtube {
background: transparent url(http://cdn.oreilly.com/images/sitewide-headers/social-icons.gif) no-repeat scroll 0 -22px;
}

.navfooterbg .social a.slideshare {
background: transparent url(http://cdn.oreilly.com/images/sitewide-headers/social-icons.gif) no-repeat scroll -22px -22px;
}

.navfooterbg .social a.facebook {
background: transparent url(http://cdn.oreilly.com/images/sitewide-headers/social-icons.gif) no-repeat scroll -44px -22px;
}

.navfooterbg .social a.twitter {
background: transparent url(http://cdn.oreilly.com/images/sitewide-headers/social-icons.gif) no-repeat scroll -66px -22px;
}

.navfooterbg .social a.plancast {
background: transparent url(http://cdn.oreilly.com/images/sitewide-headers/social-icons.gif) no-repeat scroll -88px -22px;
}

.navfooterbg .social a.rss {
background: transparent url(http://cdn.oreilly.com/images/sitewide-headers/social-icons.gif) no-repeat scroll -110px -22px;
}

.navfooterbg .social a.googleplus {
background: transparent url(http://cdn.oreilly.com/images/sitewide-headers/social-icons.gif) no-repeat scroll -132px -22px;
}

.navfooterbg .social a.all-rss {
width: auto;
margin-right: 10px;
}

#content .pr-snippet .pr-snippet-read-write {
display: none;
}

.result .pr-snippet {
clear: none;
}

.result .learn-more {
float: right;
clear: right;
display: block;
margin: 0 0 10px 10px;
}

.result .book_text .note {
margin: 0;
}

.result .ratings {
overflow: auto;
}

.hidden {
display: none;
}